Bug 147776

Summary: devel/py-gevent depends on py-greenlet
Product: Ports & Packages Reporter: rob.kruus
Component: Individual Port(s)Assignee: Stefan Walter <stefan>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff
none
gevent_greenlet_dependency.patch none

Description rob.kruus 2010-06-10 22:50:00 UTC
Did an install of py-gevent and unable to import:
python --version
Python 2.6.5

Fix: Install py-greenlet

Attached a patch for the py-gevent Makefile to make py-greenlet a RUN_DEPENDS

Patch attached with submission follows:
Comment 1 Stefan Walter freebsd_committer 2010-07-01 13:36:31 UTC
Dear maintainer of devel/py-gevent,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147776
Comment 2 Stefan Walter freebsd_committer 2010-07-01 13:37:02 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback. 


Comment 3 Stefan Walter freebsd_committer 2010-07-01 13:37:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this.
Comment 4 Peter Schuller 2010-07-01 20:55:01 UTC
I approve.

Sorry about the missing dependency. When I originally submitted the
gevent port my timing was such that greenlet was being pulled in from
codespeak-lib, but the upstream ports tree at a time had just updated
codespeak to a version which no longer has greenlet, leading to me
submitting the separate PR for greenlet. There was a communication
problem in the original PR:s leading to the dependency on greenlet
being missing in gevent.

-- 
/ Peter Schuller
Comment 5 Stefan Walter freebsd_committer 2010-07-01 22:18:50 UTC
Peter Schuller, 01.07.10, 21:55h CEST:

> I approve.

I just had a closer look at the patch. The new RUN_DEPENDS line is missing
a file whose existence is to be checked for the dependency to be
satisfied. Please see the Porter's Handbook [1] for details.

Could someone of you send a corrected patch?

Regards,
Stefan

[1]: http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-depend.html#AEN2053
Comment 6 Peter Schuller 2010-07-01 22:45:07 UTC
> I just had a closer look at the patch. The new RUN_DEPENDS line is missing
> a file whose existence is to be checked for the dependency to be
> satisfied. Please see the Porter's Handbook [1] for details.

Attached.

-- 
/ Peter Schuller
Comment 7 dfilter service freebsd_committer 2010-07-02 06:32:00 UTC
stefan      2010-07-02 05:31:49 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-gevent      Makefile 
  Log:
  Add dependency on devel/py-greenlet.
  
  PR:             147776
  Submitted by:   Robert Kruus <rob.kruus@gmail.com>
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +2 -0      ports/devel/py-gevent/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Stefan Walter freebsd_committer 2010-07-02 06:32:05 UTC
State Changed
From-To: feedback->closed

Committed (with a minor correction and a PORTREVISION bump), thanks!